Bug 212361 - Limit check for hypercall argument max_sample broken
Summary: Limit check for hypercall argument max_sample broken
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: xen   
(Show other bugs)
Version: 6
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Xen Maintainance List
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-10-26 15:06 UTC by Markus Armbruster
Modified: 2007-11-30 22:11 UTC (History)
2 users (show)

Fixed In Version: 3.0.3-1.fc6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-16 18:44:52 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Upstream fix (xen-unstable.hg changeset 11759) (1.43 KB, patch)
2006-10-26 15:06 UTC, Markus Armbruster
no flags Details | Diff

Description Markus Armbruster 2006-10-26 15:06:39 UTC
Hypercalls XENOPROF_get_buffer and XENOPROF_set_passive take an argument
max_sample, which is limited so that no more than MAX_OPROF_SHARED_PAGES are
used.  Limiting is broken.  Fixed upstream (attached).  Fix made it into RHEL-5.

Comment 1 Markus Armbruster 2006-10-26 15:06:39 UTC
Created attachment 139470 [details]
Upstream fix (xen-unstable.hg changeset 11759)


Note You need to log in before you can comment on or make changes to this bug.